# SetDiscountTagColor

> Set a discount tag's colour. Write access, discounts toolset, MCP tool set_discount_tag_color. Part of the MISSIN public API: call it with an API key, or from…

**Access:** [Write](https://developer.missin.co.uk/get-started/authentication.md#access-levels)

## Variables

| Variable | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `input` | `SetDiscountTagColorInput!` | yes | Input object, below |  |

## Input types

### SetDiscountTagColorInput

| Field | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `color` | `String!` | yes |  |  |
| `name` | `String!` | yes |  |  |

## Call it

```bash curl
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"SetDiscountTagColor","variables":{"input":{"color":"#1a73e8","name":"Example"}},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"e3abfd01460aeb565cb13ba0902143f5e5012618680e3eeec599880382358002"}}}'
```

## Document

```graphql
mutation SetDiscountTagColor($input: SetDiscountTagColorInput!) { __typename setDiscountTagColor(input: $input) { __typename color name } }
```

Source: https://developer.missin.co.uk/reference/discounts/set-discount-tag-color
